(
	global VBMtoBM_Rollout
	try (destroydialog VBMtoBM_Rollout)catch()
	
	local new_bmp = undefined
	local tempfile = undefined
	
	rollout VBMtoBM_Rollout "Replace VRayBitmaps with Bitmaps"
(
	button 'btn1' "Replace" pos:[10,10] width: 230 height: 40 align:#center
		
	on btn1 pressed do 
	(
		(
			answer_sure = queryBox "This script is meant to resolve issues when previewing scenes in the Autodesk Viewer. Note that only the parameters available to native Bitmaps are transferred." title:"Are you sure?" beep:true
			case answer_sure of
			(
				true:
				(
					answer_save = queryBox "Do you wish to save a backup file?" title: "Backup?" beep:true
					case answer_save of
					(
						true:
						(						
							tempfile = maxFilePath + maxFileName + "_backup.max"
							savemaxFile tempfile useNewFile:false
						)
						false: print "OK."
					)
					
					for each in getClassInstances VrayHDRI do
					(
						if (each.HDRIMapName != undefined) and (each.HDRIMapName != "") do
						(
						new_bmp = BitmapTexture()
						new_bmp.filename = each.HDRIMapName
						new_bmp.name = each.name
						new_bmp.apply = each.cropplace_on
						new_bmp.cropplace = each.cropplace_mode
						new_bmp.clipu = each.cropplace_u
						new_bmp.clipv = each.cropplace_v
						new_bmp.clipw = each.cropplace_width
						new_bmp.cliph = each.cropplace_height
						new_bmp.alphasource = each.alphasource
						new_bmp.monoOutput = each.monoOutput
						if each.rgbOutput == 2 then new_bmp.rgbOutput == 1 else new_bmp.rgbOutput = each.rgbOutput
						new_bmp.coords = each.coords
						new_bmp.output = each.output
						new_bmp.endcondition = each.endcondition
						new_bmp.playbackrate = each.iflPlaybackRate
						new_bmp.startTime = each.iflStartFrame
						replaceInstances each new_bmp
						)
					)	
				)
				false: print "Cancelled."
			)
		)
	)
)
	createDialog VBMtoBM_Rollout 250 60
)